summaryrefslogtreecommitdiff
path: root/dev-python/mapbox-vector-tile
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/mapbox-vector-tile
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/mapbox-vector-tile')
-rw-r--r--dev-python/mapbox-vector-tile/Manifest1
-rw-r--r--dev-python/mapbox-vector-tile/mapbox-vector-tile-2.2.0.ebuild39
-rw-r--r--dev-python/mapbox-vector-tile/metadata.xml13
3 files changed, 53 insertions, 0 deletions
diff --git a/dev-python/mapbox-vector-tile/Manifest b/dev-python/mapbox-vector-tile/Manifest
new file mode 100644
index 000000000000..5f71b8489b7e
--- /dev/null
+++ b/dev-python/mapbox-vector-tile/Manifest
@@ -0,0 +1 @@
+DIST mapbox-vector-tile-2.2.0.gh.tar.gz 232332 BLAKE2B 1a9279405fc058608145143ae6c03ebe79ec99555f263ccd3809f276e12d65c6ecaae18c2d7d013ec69b0dab9b00904634ad792c0f3d11035a4454b9b39172dc SHA512 8a85ee583720667d3955969707188e2a99ec63d4592ae6a7c7d93b6eafc0e88b18dbd21a13374be364b5afa8cbb82c019d2f3179c7c1ff5fa9d479816fc16931
diff --git a/dev-python/mapbox-vector-tile/mapbox-vector-tile-2.2.0.ebuild b/dev-python/mapbox-vector-tile/mapbox-vector-tile-2.2.0.ebuild
new file mode 100644
index 000000000000..06939efb0ff0
--- /dev/null
+++ b/dev-python/mapbox-vector-tile/mapbox-vector-tile-2.2.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Mapbox Vector Tile encoding and decoding"
+HOMEPAGE="
+ https://github.com/tilezen/mapbox-vector-tile/
+ https://pypi.org/project/mapbox-vector-tile/
+"
+# sdist misses test files
+SRC_URI="
+ https://github.com/tilezen/mapbox-vector-tile/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/protobuf-6.31.1[${PYTHON_USEDEP}]
+ >=dev-python/pyclipper-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pyproj-3.4.1[${PYTHON_USEDEP}]
+ >=dev-python/shapely-2.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # relax the dep
+ sed -i -e '/protobuf/s:\^[0-9.]*:*:' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/mapbox-vector-tile/metadata.xml b/dev-python/mapbox-vector-tile/metadata.xml
new file mode 100644
index 000000000000..78e98a0fa08d
--- /dev/null
+++ b/dev-python/mapbox-vector-tile/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>parona@protonmail.com</email>
+ <name>Alfred Wingate</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>